Index: ruby/trunk/adl_parser/tests/parser_test.rb
===================================================================
--- ruby/trunk/adl_parser/tests/parser_test.rb	(revision 19)
+++ ruby/trunk/adl_parser/tests/parser_test.rb	(revision 20)
@@ -14,4 +14,41 @@
 
   def test_parse
+    laboratory_request = File.read('tests/openEHR-EHR-ITEM_TREE.Laboratory_request.v1.adl')
+    assert_nothing_raised do
+      @parser.parse(laboratory_request, 'openEHR-EHR-ITEM_TREE.Laboratory_request.v1.adl')
+    end
+
+    apgar = File.read('tests/openEHR-EHR-OBSERVATION.apgar.v1.adl')
+    assert_nothing_raised do
+      result = @parser.parse(apgar, 'openEHR-EHR-OBSERVATION.apgar.v1.adl')
+      #       assert_equal "", result
+    end
+
+    evaluation = File.read('tests/openEHR-EHR-EVALUATION.adverse.v1.adl')
+    assert_nothing_raised do
+      @parser.parse(evaluation, 'openEHR-EHR-EVALUATION.adverse.v1.adl')
+    end
+
+
+#     medication = File.read('tests/openEHR-EHR-ITEM_TREE.medication.v1.adl')
+#     assert_nothing_raised do
+#       @parser.parse(medication, 'openEHR-EHR-ITEM_TREE.medication.v1.adl')
+#     end
+
+    referral = File.read('tests/openEHR-EHR-ITEM_TREE.referral.v1.adl')
+    assert_nothing_raised do
+      @parser.parse(referral, 'openEHR-EHR-ITEM_TREE.referral.v1.adl')
+    end
+
+    exam_fetus = File.read('tests/openEHR-EHR-CLUSTER.exam-fetus.v1.adl')
+    assert_nothing_raised do
+      @parser.parse(exam_fetus, 'openEHR-EHR-CLUSTER.exam-fetus.v1.adl')
+    end
+
+    exam_uterine_cervix = File.read('tests/openEHR-EHR-CLUSTER.exam-uterine_cervix.v1.adl')
+    assert_nothing_raised do
+      @parser.parse(exam_uterine_cervix, 'openEHR-EHR-CLUSTER.exam-uterine_cervix.v1.adl')
+    end
+
     imaging = File.read('tests/openEHR-EHR-ACTION.imaging.v1.adl')
     assert_nothing_raised do
@@ -63,15 +100,18 @@
       @parser.parse(summary, 'openEHR-EHR-SECTION.summary.v1.adl')
     end
+
     findings = File.read('tests/openEHR-EHR-SECTION.findings.v1.adl')
     assert_nothing_raised do
       @parser.parse(findings, 'openEHR-EHR-SECTION.findings.v1.adl')
     end
+
+    reason_for_encounter = File.read('tests/openEHR-EHR-SECTION.reason_for_encounter.v1.adl')
+    assert_nothing_raised do
+      @parser.parse(reason_for_encounter, 'openEHR-EHR-SECTION.reason_for_encounter.v1.adl')
+    end
+
     imaging = File.read('tests/openEHR-EHR-ITEM_TREE.imaging.v1.adl')
     assert_nothing_raised do
       @parser.parse(imaging, 'openEHR-EHR-ITEM_TREE.imaging.v1.adl')
-    end
-    reason_for_encounter = File.read('tests/openEHR-EHR-SECTION.reason_for_encounter.v1.adl')
-    assert_nothing_raised do
-      @parser.parse(reason_for_encounter, 'openEHR-EHR-SECTION.reason_for_encounter.v1.adl')
     end
     instruction_referral = File.read('tests/openEHR-EHR-INSTRUCTION.referral.v1.adl')
@@ -92,41 +132,15 @@
       @parser.parse(dimensions_circumference, 'openEHR-EHR-CLUSTER.dimensions.v1.adl')
     end
+
     discharge = File.read('tests/openEHR-EHR-COMPOSITION.discharge.v1draft.adl')
     assert_nothing_raised do
       @parser.parse(discharge, 'openEHR-EHR-COMPOSITION.discharge.v1draft.adl')
     end
-     laboratory_request = File.read('tests/openEHR-EHR-ITEM_TREE.Laboratory_request.v1.adl')
-     assert_nothing_raised do
-       @parser.parse(laboratory_request, 'openEHR-EHR-ITEM_TREE.Laboratory_request.v1.adl')
-     end
-     apgar = File.read('tests/openEHR-EHR-OBSERVATION.apgar.v1.adl')
-     assert_nothing_raised do
-       result = @parser.parse(apgar, 'openEHR-EHR-OBSERVATION.apgar.v1.adl')
-#       assert_equal "", result
-     end
-#     evaluation = File.read('tests/openEHR-EHR-EVALUATION.adverse.v1.adl')
-#     assert_nothing_raised do
-#       @parser.parse(evaluation, 'openEHR-EHR-EVALUATION.adverse.v1.adl')
-#     end
-     encounter = File.read('tests/openEHR-EHR-COMPOSITION.encounter.v1draft.adl')
-     assert_nothing_raised do
-       @parser.parse(encounter, 'openEHR-EHR-COMPOSITION.encounter.v1draft.adl')
-     end
-#      medication = File.read('tests/openEHR-EHR-ITEM_TREE.medication.v1.adl')
-#      assert_nothing_raised do
-#        @parser.parse(medication, 'openEHR-EHR-ITEM_TREE.medication.v1.adl')
-#      end
-#       referral = File.read('tests/openEHR-EHR-ITEM_TREE.referral.v1.adl')
-#       assert_nothing_raised do
-#         @parser.parse(referral, 'openEHR-EHR-ITEM_TREE.referral.v1.adl')
-#       end
-      exam_fetus = File.read('tests/openEHR-EHR-CLUSTER.exam-fetus.v1.adl')
-      assert_nothing_raised do
-        @parser.parse(exam_fetus, 'openEHR-EHR-CLUSTER.exam-fetus.v1.adl')
-      end
-     exam_uterine_cervix = File.read('tests/openEHR-EHR-CLUSTER.exam-uterine_cervix.v1.adl')
-     assert_nothing_raised do
-       @parser.parse(exam_uterine_cervix, 'openEHR-EHR-CLUSTER.exam-uterine_cervix.v1.adl')
-     end
+
+    encounter = File.read('tests/openEHR-EHR-COMPOSITION.encounter.v1draft.adl')
+    assert_nothing_raised do
+      @parser.parse(encounter, 'openEHR-EHR-COMPOSITION.encounter.v1draft.adl')
+    end
+
 
   end
